"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ga4_properties_1 = require("../ga4-properties");
const action = {
    title: 'Search',
    description: 'The term that was searched for.',
    defaultSubscription: 'type = "track" and event = "Products Searched"',
    platform: 'web',
    fields: {
        user_id: ga4_properties_1.user_id,
        user_properties: ga4_properties_1.user_properties,
        params: ga4_properties_1.params,
        search_term: ga4_properties_1.search_term,
        send_to: ga4_properties_1.send_to
    },
    perform: (gtag, { payload, settings }) => {
        gtag('event', 'search', {
            search_term: payload.search_term,
            user_id: payload.user_id ?? undefined,
            user_properties: payload.user_properties,
            send_to: payload.send_to == true ? settings.measurementID : 'default',
            ...payload.params
        });
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map